#if !defined(GLOBUS_INCLUDE_GLOBUS_ERROR_H)
#define GLOBUS_INCLUDE_GLOBUS_ERROR_H 1

#ifndef EXTERN_C_BEGIN
#ifdef __cplusplus
#define EXTERN_C_BEGIN extern "C" {
#define EXTERN_C_END }
#else
#define EXTERN_C_BEGIN
#define EXTERN_C_END
#endif
#endif
  
EXTERN_C_BEGIN

#ifdef HAVE_STDARG_H
#   include <stdarg.h>
#   if !defined(DOTS)
#       define DOTS ...
#   endif
#else
#   include <varargs.h>
#   if !defined(DOTS)
#       define DOTS va_dcl va_alist
#   endif
#endif

extern void globus_fatal(char *msg, DOTS);
extern void globus_silent_fatal(void);
extern void globus_error(char *msg, DOTS);
extern void globus_warning(char *msg, DOTS);
extern void globus_notice(char *msg, DOTS);
extern void globus_perror(char *msg, DOTS);
extern void globus_fatal_perror(char *msg, DOTS);
extern char *globus_assert_sprintf(char *msg, DOTS);
extern char *globus_get_unique_session_string(void);

EXTERN_C_END

#endif
