/******************************************************************************
CIF_I_Comm_Properties.C

Description:

  Connection properties and parameters


CVS Information:

  $Source: /home/dsl/Master/cif/CIF-Comm-C++-Current/library/CIF_I_Comm_Properties.C,v $
  $Date: 1998/09/25 15:08:48 $
  $Revision: 1.1 $
  $State: Exp $
  $Author: toonen $
******************************************************************************/

/******************************************************************************
			     Include header files
******************************************************************************/
#include "CIF_Toolkit.H"
#include "CIF_I_Comm_Properties.H"


/******************************************************************************
		    Define methods for CIF_I_Comm_Properties
******************************************************************************/

CIF_I_Comm_Properties::CIF_I_Comm_Properties()
{
    l_event_listener = CIF_NULL;
}


CIF_I_Comm_Properties::~CIF_I_Comm_Properties()
{
}


void
CIF_I_Comm_Properties::set_Event_Listener(
    ARG_INMOD CIF_Toolkit_Event_Listener *	event_listener)
{
    l_event_listener = event_listener;
}


CIF_Toolkit_Event_Listener *
CIF_I_Comm_Properties::get_Event_Listener() const
{
    return l_event_listener;
}


